/**
 * @(#)IntegerUtility
 *
 * Contains just a single static function, intSwap, which is
 * used to convert an int to a small-endian int (intel-format
 * int).
 *
 * This is part of blackmane.quake2.utility
 *
 */
 
package blackmane.quake2.utility;

public class IntegerUtility {
 
  /*
   * intSwap is used to convert a java-format int into a quake
   * format int. 
   *
   * @param i the integer to transform
   * @return the transformed int
   */
 	public static int intSwap(int i) {
 		int a, b, c, d;
 		
 		a = i & 255;
 		b = (i >> 8) & 255;
 		c = (i >> 16) & 255;
 		d = (i >> 24) & 255;
 		
 		return (a << 24) + (b << 16) + (c << 8) + d;
 	}
 }