/**
 * @(#)Quake2PakException.java
 *
 * General exception class for some exceptions. 
 * These exceptions have to be trapped, as when they are
 * used they signify that the pak file was not valid for
 * some reason yet accesses to its information are being
 * attempted.
 *
 * This is part of blackmane.quake2.pak
 */
 
 package blackmane.quake2.pak;
 
/**
 * Signals that there is a problem with the Quake 2
 * pak file. 
 * @version 1.0
 */
public class Quake2PakException extends Exception {

	/**
	 * Constructs a Quake2PakException with no detail message.
	 */
	public Quake2PakException() {
		super();
	}
	
	/**
	 * Constructs a Quake2PakException with the specified detail message.
	 * @param s the detail message.
	 */
	public Quake2PakException(String s) {
		super(s);
	}
	
}